// Attach event listeners after the page has loaded
document.addEventListener('DOMContentLoaded', function() {
    // Get all buttons by their dynamic ID pattern
    const buttons = document.querySelectorAll('[id^="button_"]');

    buttons.forEach(function(button) {
        const itemId = button.id.split('_')[1];

        button.addEventListener('click', function() {
            viewMenuItem(itemId);
        });
    });
});

function viewMenuItem(itemId) {
    // test the code can it run
    // console.log("Viewing item with ID:", itemId);
    window.location.href = '/match/' + itemId;
}